### Hierarchy

- AbstractWalletValidator<EthCryptoWallet, EthWalletData>
  - EthWalletValidator

### Implements

- WalletValidator<EthCryptoWallet, EthWalletData>

## Index

### Methods

- validateCryptoWallet
- validateSignature

## Methods

### validateCryptoWallet

- validateCryptoWallet(wallet: EthWalletData): ValidationResult<StringSignedMessage>

- Inherited from AbstractWalletValidator.validateCryptoWallet

  - Defined in utils/types/validators/AbstractWalletValidator.ts:9

  #### Parameters

  - ##### wallet: EthWalletData

  #### Returns ValidationResult<StringSignedMessage>

### validateSignature

- validateSignature(wallet: EthWalletData): boolean

- Overrides AbstractWalletValidator.validateSignature

  - Defined in utils/types/validators/EthWalletValidator.ts:7

  #### Parameters

  - ##### wallet: EthWalletData

  #### Returns boolean

Generated using TypeDoc